Bug 516535 - Review Request: globus-gram-job-manager-scripts - Globus Toolkit - GRAM Job ManagerScripts
Review Request: globus-gram-job-manager-scripts - Globus Toolkit - GRAM Job M...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Traylen
Fedora Extras Quality Assurance
:
Depends On: 516527
Blocks: 516536 516537 516538 516539 516540
  Show dependency treegraph
 
Reported: 2009-08-10 07:03 EDT by Mattias Ellert
Modified: 2009-12-17 18:53 EST (History)
4 users (show)

See Also:
Fixed In Version: 0.7-1.el4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-04 18:55:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
steve.traylen: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mattias Ellert 2009-08-10 07:03:30 EDT
Spec URL: http://www.grid.tsl.uu.se/review/globus-gram-job-manager-scripts.spec
SRPM URL: http://www.grid.tsl.uu.se/review/globus-gram-job-manager-scripts-0.7-1.fc11.src.rpm

Description:
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The globus-gram-job-manager-scripts package contains:
GRAM Job ManagerScripts

Globus Toolkit Packaging Guidelines:
https://fedoraproject.org/wiki/Packaging:Globus
Comment 1 caius.chance 2009-08-13 23:35:29 EDT
rpmlint is okay:

$ rpmlint globus-gram-job-manager-scripts.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 2 caius.chance 2009-08-13 23:47:34 EDT
Wny don't install documentation directly to default RPM location?

FYI, mock is passed:

INFO: Done(globus-gram-job-manager-scripts-0.7-1.fc11.src.rpm) Config(fedora-rawhide-i386) 1 minutes 47 seconds
Comment 3 Mattias Ellert 2009-08-14 02:38:57 EDT
(In reply to comment #2)
> Wny don't install documentation directly to default RPM location?

There is no easy way to do that. It is not --docdir that is wrong w.r.t. the RPM location, it is the name of the subdirectory inside --docdir. There is no configure switch for that. All globus packages in Fedora do it this way.
Comment 4 Steve Traylen 2009-10-16 16:51:47 EDT
I noticed this about the documentation as well but decided it was sensible and a 
marked at %doc so fine.
Comment 5 Steve Traylen 2009-11-17 15:35:27 EST
  Caio 'kaio' Chance

I'm going to review this in the next few days unless you have any more
comments on the documentation?

Steve
Comment 6 caius.chance 2009-11-18 11:17:25 EST
(In reply to comment #5)
>   Caio 'kaio' Chance
> 
> I'm going to review this in the next few days unless you have any more
> comments on the documentation?
> 
> Steve  

no thx
Comment 7 Steve Traylen 2009-11-23 16:08:00 EST
http://koji.fedoraproject.org/koji/taskinfo?taskID=1825910

yes: rpmlint above.
yes: package name.
yes: spec file name
yes: globus package guidelines.
yes: ASL 2.0 in .SPEC
yes: ASL 2.0 in reality. 
yes: GLOBUS_LICENSE file included.
yes: english spec.
yes: legible spec.
yes: source matches upstream.
yes: builds (fc13)
yes: build requires sane.
yes: buils on archs - see koji
yes: no locaes.
yes: no ldconfig needed.
yes: no system libs.
yes: not reloc'
yes: no duplicates.
yes: Package contains all directories it creates or pulls them.
yes: everything %defatt
yes: cleans everything.
yes: macro use good.
yes: contains code.
yes: java doc in seperate package.
yes: %doc not needed runtime.
yes: no devel package.
yes: no static libs.
yes: no pkgconfig files.
yes: no devel packages.
yes: no .la files.
yes: no gui.
?: Owns files from other packages.
   see below.
yes: %install cleans itself.

I notice quite a few packages seem to own

/usr/lib/perl5/vendor_perl/5.10.0/Globus

including this one.

Steve


yes: utf8.
Comment 8 Mattias Ellert 2009-11-24 01:05:11 EST
(In reply to comment #7)

> ?: Owns files from other packages.
>    see below.
> 
> I notice quite a few packages seem to own
> 
> /usr/lib/perl5/vendor_perl/5.10.0/Globus
> 
> including this one.

This is necessary in order to comply to the Perl packaging guidelines:

https://fedoraproject.org/wiki/Packaging/Perl#Directory_Ownership

"As an example, assume that perl-A-B depends on perl-A and installs files into /usr/lib/perl5/vendor_perl/5.10.0/i386-linux-thread-multi/A/B. The base Perl package guarantees that it will own /usr/lib/perl5/vendor_perl/5.10.0/i386-linux-thread-multi for as long as it remains compatible with version 5.10.0, but a future upgrade of the perl-A package may install into (and thus own) /usr/lib/perl5/vendor_perl/5.11.0/i386-linux-thread-multi/A. So the perl-A-B package needs to own /usr/lib/perl5/vendor_perl/5.10.0/i386-linux-thread-multi/A as well as /usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi/A/B in order to maintain proper ownership."
Comment 9 Steve Traylen 2009-11-24 02:51:34 EST
Agreed.

APPROVED
Comment 10 Mattias Ellert 2009-11-24 06:55:22 EST
Thank you for the review!

New Package CVS Request
=======================
Package Name: globus-gram-job-manager-scripts
Short Description: Globus Toolkit - GRAM Job ManagerScripts
Owners: ellert
Branches: F-11 F-12 EL-4 EL-5
InitialCC:
Comment 11 Kevin Fenzi 2009-11-27 00:39:32 EST
cvs done.
Comment 12 Fedora Update System 2009-12-03 11:20:13 EST
globus-gram-job-manager-scripts-0.7-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/globus-gram-job-manager-scripts-0.7-1.fc12
Comment 13 Fedora Update System 2009-12-03 11:20:14 EST
globus-gram-job-manager-scripts-0.7-1.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/globus-gram-job-manager-scripts-0.7-1.el4
Comment 14 Fedora Update System 2009-12-03 11:20:18 EST
globus-gram-job-manager-scripts-0.7-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/globus-gram-job-manager-scripts-0.7-1.fc11
Comment 15 Fedora Update System 2009-12-04 18:55:09 EST
globus-gram-job-manager-scripts-0.7-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2009-12-04 18:56:27 EST
globus-gram-job-manager-scripts-0.7-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2009-12-17 18:53:28 EST
globus-gram-job-manager-scripts-0.7-1.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.